Package org.apache.commons.imaging.formats.tiff.constants

## Class GpsTagConstants

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.constants.GpsTagConstants

-     public final class GpsTagConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static List<TagInfo>` | `ALL_GPS_TAGS` |
    `static TagInfoRational` | `GPS_TAG_GPS_ALTITUDE` |
    `static TagInfoByte` | `GPS_TAG_GPS_ALTITUDE_REF` |
    `static int` | `GPS_TAG_GPS_ALTITUDE_REF_VALUE_ABOVE_SEA_LEVEL` |
    `static int` | `GPS_TAG_GPS_ALTITUDE_REF_VALUE_BELOW_SEA_LEVEL` |
    `static TagInfoGpsText` | `GPS_TAG_GPS_AREA_INFORMATION` |
    `static TagInfoAscii` | `GPS_TAG_GPS_DATE_STAMP` |
    `static TagInfoRational` | `GPS_TAG_GPS_DEST_BEARING` |
    `static TagInfoAscii` | `GPS_TAG_GPS_DEST_BEARING_REF` |
    `static String` | `GPS_TAG_GPS_DEST_BEARING_REF_VALUE_MAGNETIC_NORTH` |
    `static String` | `GPS_TAG_GPS_DEST_BEARING_REF_VALUE_TRUE_NORTH` |
    `static TagInfoRational` | `GPS_TAG_GPS_DEST_DISTANCE` |
    `static TagInfoAscii` | `GPS_TAG_GPS_DEST_DISTANCE_REF` |
    `static String` | `GPS_TAG_GPS_DEST_DISTANCE_REF_VALUE_KILOMETERS` |
    `static String` | `GPS_TAG_GPS_DEST_DISTANCE_REF_VALUE_MILES` |
    `static String` | `GPS_TAG_GPS_DEST_DISTANCE_REF_VALUE_NAUTICAL_MILES` |
    `static TagInfoRationals` | `GPS_TAG_GPS_DEST_LATITUDE` |
    `static TagInfoAscii` | `GPS_TAG_GPS_DEST_LATITUDE_REF` |
    `static String` | `GPS_TAG_GPS_DEST_LATITUDE_REF_VALUE_NORTH` |
    `static String` | `GPS_TAG_GPS_DEST_LATITUDE_REF_VALUE_SOUTH` |
    `static TagInfoRationals` | `GPS_TAG_GPS_DEST_LONGITUDE` |
    `static TagInfoAscii` | `GPS_TAG_GPS_DEST_LONGITUDE_REF` |
    `static String` | `GPS_TAG_GPS_DEST_LONGITUDE_REF_VALUE_EAST` |
    `static String` | `GPS_TAG_GPS_DEST_LONGITUDE_REF_VALUE_WEST` |
    `static TagInfoShort` | `GPS_TAG_GPS_DIFFERENTIAL` |
    `static int` | `GPS_TAG_GPS_DIFFERENTIAL_VALUE_DIFFERENTIAL_CORRECTED` |
    `static int` | `GPS_TAG_GPS_DIFFERENTIAL_VALUE_NO_CORRECTION` |
    `static TagInfoRational` | `GPS_TAG_GPS_DOP` |
    `static TagInfoRational` | `GPS_TAG_GPS_IMG_DIRECTION` |
    `static TagInfoAscii` | `GPS_TAG_GPS_IMG_DIRECTION_REF` |
    `static String` | `GPS_TAG_GPS_IMG_DIRECTION_REF_VALUE_MAGNETIC_NORTH` |
    `static String` | `GPS_TAG_GPS_IMG_DIRECTION_REF_VALUE_TRUE_NORTH` |
    `static TagInfoRationals` | `GPS_TAG_GPS_LATITUDE` |
    `static TagInfoAscii` | `GPS_TAG_GPS_LATITUDE_REF` |
    `static String` | `GPS_TAG_GPS_LATITUDE_REF_VALUE_NORTH` |
    `static String` | `GPS_TAG_GPS_LATITUDE_REF_VALUE_SOUTH` |
    `static TagInfoRationals` | `GPS_TAG_GPS_LONGITUDE` |
    `static TagInfoAscii` | `GPS_TAG_GPS_LONGITUDE_REF` |
    `static String` | `GPS_TAG_GPS_LONGITUDE_REF_VALUE_EAST` |
    `static String` | `GPS_TAG_GPS_LONGITUDE_REF_VALUE_WEST` |
    `static TagInfoAscii` | `GPS_TAG_GPS_MAP_DATUM` |
    `static TagInfoAscii` | `GPS_TAG_GPS_MEASURE_MODE` |
    `static int` | `GPS_TAG_GPS_MEASURE_MODE_VALUE_2_DIMENSIONAL_MEASUREMENT` |
    `static int` | `GPS_TAG_GPS_MEASURE_MODE_VALUE_3_DIMENSIONAL_MEASUREMENT` |
    `static TagInfoGpsText` | `GPS_TAG_GPS_PROCESSING_METHOD` |
    `static TagInfoAscii` | `GPS_TAG_GPS_SATELLITES` |
    `static TagInfoRational` | `GPS_TAG_GPS_SPEED` |
    `static TagInfoAscii` | `GPS_TAG_GPS_SPEED_REF` |
    `static String` | `GPS_TAG_GPS_SPEED_REF_VALUE_KMPH` |
    `static String` | `GPS_TAG_GPS_SPEED_REF_VALUE_KNOTS` |
    `static String` | `GPS_TAG_GPS_SPEED_REF_VALUE_MPH` |
    `static TagInfoAscii` | `GPS_TAG_GPS_STATUS` |
    `static String` | `GPS_TAG_GPS_STATUS_VALUE_MEASUREMENT_IN_PROGRESS` |
    `static String` | `GPS_TAG_GPS_STATUS_VALUE_MEASUREMENT_INTEROPERABILITY` |
    `static TagInfoRationals` | `GPS_TAG_GPS_TIME_STAMP` |
    `static TagInfoRational` | `GPS_TAG_GPS_TRACK` |
    `static TagInfoAscii` | `GPS_TAG_GPS_TRACK_REF` |
    `static String` | `GPS_TAG_GPS_TRACK_REF_VALUE_MAGNETIC_NORTH` |
    `static String` | `GPS_TAG_GPS_TRACK_REF_VALUE_TRUE_NORTH` |
    `static TagInfoBytes` | `GPS_TAG_GPS_VERSION_ID` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static byte[]` | `gpsVersion()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GPS_TAG_GPS_VERSION_ID

          public static final TagInfoBytes GPS_TAG_GPS_VERSION_ID

    - #### GPS_TAG_GPS_LATITUDE_REF

          public static final TagInfoAscii GPS_TAG_GPS_LATITUDE_REF

    - #### GPS_TAG_GPS_LATITUDE_REF_VALUE_NORTH

          public static final String GPS_TAG_GPS_LATITUDE_REF_VALUE_NORTH

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_LATITUDE_REF_VALUE_SOUTH

          public static final String GPS_TAG_GPS_LATITUDE_REF_VALUE_SOUTH

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_LATITUDE

          public static final TagInfoRationals GPS_TAG_GPS_LATITUDE

    - #### GPS_TAG_GPS_LONGITUDE_REF

          public static final TagInfoAscii GPS_TAG_GPS_LONGITUDE_REF

    - #### GPS_TAG_GPS_LONGITUDE_REF_VALUE_EAST

          public static final String GPS_TAG_GPS_LONGITUDE_REF_VALUE_EAST

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_LONGITUDE_REF_VALUE_WEST

          public static final String GPS_TAG_GPS_LONGITUDE_REF_VALUE_WEST

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_LONGITUDE

          public static final TagInfoRationals GPS_TAG_GPS_LONGITUDE

    - #### GPS_TAG_GPS_ALTITUDE_REF

          public static final TagInfoByte GPS_TAG_GPS_ALTITUDE_REF

    - #### GPS_TAG_GPS_ALTITUDE_REF_VALUE_ABOVE_SEA_LEVEL

          public static final int GPS_TAG_GPS_ALTITUDE_REF_VALUE_ABOVE_SEA_LEVEL

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_ALTITUDE_REF_VALUE_BELOW_SEA_LEVEL

          public static final int GPS_TAG_GPS_ALTITUDE_REF_VALUE_BELOW_SEA_LEVEL

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_ALTITUDE

          public static final TagInfoRational GPS_TAG_GPS_ALTITUDE

    - #### GPS_TAG_GPS_TIME_STAMP

          public static final TagInfoRationals GPS_TAG_GPS_TIME_STAMP

    - #### GPS_TAG_GPS_SATELLITES

          public static final TagInfoAscii GPS_TAG_GPS_SATELLITES

    - #### GPS_TAG_GPS_STATUS

          public static final TagInfoAscii GPS_TAG_GPS_STATUS

    - #### GPS_TAG_GPS_STATUS_VALUE_MEASUREMENT_IN_PROGRESS

          public static final String GPS_TAG_GPS_STATUS_VALUE_MEASUREMENT_IN_PROGRESS

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_STATUS_VALUE_MEASUREMENT_INTEROPERABILITY

          public static final String GPS_TAG_GPS_STATUS_VALUE_MEASUREMENT_INTEROPERABILITY

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_MEASURE_MODE

          public static final TagInfoAscii GPS_TAG_GPS_MEASURE_MODE

    - #### GPS_TAG_GPS_MEASURE_MODE_VALUE_2_DIMENSIONAL_MEASUREMENT

          public static final int GPS_TAG_GPS_MEASURE_MODE_VALUE_2_DIMENSIONAL_MEASUREMENT

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_MEASURE_MODE_VALUE_3_DIMENSIONAL_MEASUREMENT

          public static final int GPS_TAG_GPS_MEASURE_MODE_VALUE_3_DIMENSIONAL_MEASUREMENT

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_DOP

          public static final TagInfoRational GPS_TAG_GPS_DOP

    - #### GPS_TAG_GPS_SPEED_REF

          public static final TagInfoAscii GPS_TAG_GPS_SPEED_REF

    - #### GPS_TAG_GPS_SPEED_REF_VALUE_KMPH

          public static final String GPS_TAG_GPS_SPEED_REF_VALUE_KMPH

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_SPEED_REF_VALUE_MPH

          public static final String GPS_TAG_GPS_SPEED_REF_VALUE_MPH

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_SPEED_REF_VALUE_KNOTS

          public static final String GPS_TAG_GPS_SPEED_REF_VALUE_KNOTS

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_SPEED

          public static final TagInfoRational GPS_TAG_GPS_SPEED

    - #### GPS_TAG_GPS_TRACK_REF

          public static final TagInfoAscii GPS_TAG_GPS_TRACK_REF

    - #### GPS_TAG_GPS_TRACK_REF_VALUE_MAGNETIC_NORTH

          public static final String GPS_TAG_GPS_TRACK_REF_VALUE_MAGNETIC_NORTH

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_TRACK_REF_VALUE_TRUE_NORTH

          public static final String GPS_TAG_GPS_TRACK_REF_VALUE_TRUE_NORTH

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_TRACK

          public static final TagInfoRational GPS_TAG_GPS_TRACK

    - #### GPS_TAG_GPS_IMG_DIRECTION_REF

          public static final TagInfoAscii GPS_TAG_GPS_IMG_DIRECTION_REF

    - #### GPS_TAG_GPS_IMG_DIRECTION_REF_VALUE_MAGNETIC_NORTH

          public static final String GPS_TAG_GPS_IMG_DIRECTION_REF_VALUE_MAGNETIC_NORTH

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_IMG_DIRECTION_REF_VALUE_TRUE_NORTH

          public static final String GPS_TAG_GPS_IMG_DIRECTION_REF_VALUE_TRUE_NORTH

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_IMG_DIRECTION

          public static final TagInfoRational GPS_TAG_GPS_IMG_DIRECTION

    - #### GPS_TAG_GPS_MAP_DATUM

          public static final TagInfoAscii GPS_TAG_GPS_MAP_DATUM

    - #### GPS_TAG_GPS_DEST_LATITUDE_REF

          public static final TagInfoAscii GPS_TAG_GPS_DEST_LATITUDE_REF

    - #### GPS_TAG_GPS_DEST_LATITUDE_REF_VALUE_NORTH

          public static final String GPS_TAG_GPS_DEST_LATITUDE_REF_VALUE_NORTH

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_DEST_LATITUDE_REF_VALUE_SOUTH

          public static final String GPS_TAG_GPS_DEST_LATITUDE_REF_VALUE_SOUTH

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_DEST_LATITUDE

          public static final TagInfoRationals GPS_TAG_GPS_DEST_LATITUDE

    - #### GPS_TAG_GPS_DEST_LONGITUDE_REF

          public static final TagInfoAscii GPS_TAG_GPS_DEST_LONGITUDE_REF

    - #### GPS_TAG_GPS_DEST_LONGITUDE_REF_VALUE_EAST

          public static final String GPS_TAG_GPS_DEST_LONGITUDE_REF_VALUE_EAST

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_DEST_LONGITUDE_REF_VALUE_WEST

          public static final String GPS_TAG_GPS_DEST_LONGITUDE_REF_VALUE_WEST

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_DEST_LONGITUDE

          public static final TagInfoRationals GPS_TAG_GPS_DEST_LONGITUDE

    - #### GPS_TAG_GPS_DEST_BEARING_REF

          public static final TagInfoAscii GPS_TAG_GPS_DEST_BEARING_REF

    - #### GPS_TAG_GPS_DEST_BEARING_REF_VALUE_MAGNETIC_NORTH

          public static final String GPS_TAG_GPS_DEST_BEARING_REF_VALUE_MAGNETIC_NORTH

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_DEST_BEARING_REF_VALUE_TRUE_NORTH

          public static final String GPS_TAG_GPS_DEST_BEARING_REF_VALUE_TRUE_NORTH

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_DEST_BEARING

          public static final TagInfoRational GPS_TAG_GPS_DEST_BEARING

    - #### GPS_TAG_GPS_DEST_DISTANCE_REF

          public static final TagInfoAscii GPS_TAG_GPS_DEST_DISTANCE_REF

    - #### GPS_TAG_GPS_DEST_DISTANCE_REF_VALUE_KILOMETERS

          public static final String GPS_TAG_GPS_DEST_DISTANCE_REF_VALUE_KILOMETERS

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_DEST_DISTANCE_REF_VALUE_MILES

          public static final String GPS_TAG_GPS_DEST_DISTANCE_REF_VALUE_MILES

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_DEST_DISTANCE_REF_VALUE_NAUTICAL_MILES

          public static final String GPS_TAG_GPS_DEST_DISTANCE_REF_VALUE_NAUTICAL_MILES

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_DEST_DISTANCE

          public static final TagInfoRational GPS_TAG_GPS_DEST_DISTANCE

    - #### GPS_TAG_GPS_PROCESSING_METHOD

          public static final TagInfoGpsText GPS_TAG_GPS_PROCESSING_METHOD

    - #### GPS_TAG_GPS_AREA_INFORMATION

          public static final TagInfoGpsText GPS_TAG_GPS_AREA_INFORMATION

    - #### GPS_TAG_GPS_DATE_STAMP

          public static final TagInfoAscii GPS_TAG_GPS_DATE_STAMP

    - #### GPS_TAG_GPS_DIFFERENTIAL

          public static final TagInfoShort GPS_TAG_GPS_DIFFERENTIAL

    - #### GPS_TAG_GPS_DIFFERENTIAL_VALUE_NO_CORRECTION

          public static final int GPS_TAG_GPS_DIFFERENTIAL_VALUE_NO_CORRECTION

      See Also:
        Constant Field Values

    - #### GPS_TAG_GPS_DIFFERENTIAL_VALUE_DIFFERENTIAL_CORRECTED

          public static final int GPS_TAG_GPS_DIFFERENTIAL_VALUE_DIFFERENTIAL_CORRECTED

      See Also:
        Constant Field Values

    - #### ALL_GPS_TAGS

          public static final List<TagInfo> ALL_GPS_TAGS

  - ### Method Detail

    - #### gpsVersion

          public static byte[] gpsVersion()